Subject: Re: bug#13124: 24.1; shell-mode does not hide sudo password prompts

From: Arne Babenhauserheide <[email-masked]>
Date: Tue, 11 Dec 2012 14:42:28 +0100

Am Montag, 10. Dezember 2012, 23:55:11 schrieb Glenn Morris:
> > Would it be possible to add the values for all languages, depending on
> > the 
> > LC_ALL or LANG-environment variable?
> 
> Possible (to some extent), but I'm not sure if it is worth
> it/appropriate.

I installed emacs for a collegue and the visible password is the major reason 
why he switches to the quite inconvenient term/ansi-term mode instead of 
shell.

So I think it is very relevant: It’s a matter of good defaults to never show 
the Password your user types. Especially not (quasi-)root passwords.

Best wishes,
Arne